function [Delay,F] = calc_delay_FIFO(L,lamda_cur,Nof_nodes,s,C)

    F=0;
    D=zeros(Nof_nodes);
    Delay=zeros(1,Nof_nodes);
    W=zeros(1,Nof_nodes);
    
    for j=1:Nof_nodes
        numerator=(s.^2)*lamda_cur(:,j);
        denominator=C(j)*(C(j)-s*lamda_cur(:,j));
        W(j)=numerator/denominator;
    end
    
    
    for i=1:Nof_nodes
        for j=1:Nof_nodes
   
            if(i==j)
                continue
            end

            D(i,j)= W(j) + s(i)/C(j);
            Delay(i)=Delay(i)+lamda_cur(i,j)*D(i,j)/L(i);
        end

        F=F+L(i)*Delay(i)/sum(L);
    end

end